Cyberduck Mountain Duck CLI

#3355 closed defect (worksforme)

Crashes when downloading via SSH

Reported by: delleske@… Owned by: dkocher
Priority: highest Milestone: 3.3
Component: sftp Version: 3.2.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Whatever I try to download (Mac OS 10.5.7), Cyberduck just crashes with no exit messsage. I'll have to look for another SFTP client..

Change History (6)

comment:1 Changed on Aug 31, 2009 at 12:43:21 PM by delleske@…

Hello - how long will it take until this crucial bug will be fixed? I paid (licensed) Cyberduck and am not able to use it since July!

I am the Original poster of this bug and have seen more bugs on the list. I am however impressed of the number of important bugs not yet fixed...

comment:2 Changed on Aug 31, 2009 at 1:20:43 PM by dkocher

Please attach the crash report and any related output in the system.log (/Applications/Utilities/Console.app).

comment:3 Changed on Aug 31, 2009 at 1:42:41 PM by delleske@…

Gladly, thank you!

Process: Cyberduck [24668] Path: /Applications/Cyberduck.app/Contents/MacOS/Cyberduck Identifier: ch.sudo.cyberduck Version: 3.2.1 (4923) (4923) Code Type: X86 (Native) Parent Process: launchd [78]

Interval Since Last Report: 202404 sec Crashes Since Last Report: 1 Per-App Interval Since Last Report: 89 sec Per-App Crashes Since Last Report: 1

Date/Time: 2009-08-31 15:38:15.460 +0200 OS Version: Mac OS X 10.5.8 (9L30) Report Version: 6 Anonymous UUID: 175A3AE2-D61D-4694-A85E-7CEAD558E5CC

Exception Type: EXC_BAD_ACCESS (SIGSEGV) Exception Codes: KERN_INVALID_ADDRESS at 0x0000000068746981 Crashed Thread: 1

Thread 0: 0 libclient.dylib 0x00498962 0x3ba000 + 911714 1 libclient.dylib 0x00498944 0x3ba000 + 911684 2 libclient.dylib 0x005b3d4c JNI_CreateJavaVM_Impl + 12476 3 libObjCJava.A.dylib 0x53d066d0 JAVAPushLocalFrame + 25 4 libObjCJava.A.dylib 0x53d0955c _BRIDGEMethodImp + 128 5 com.apple.AppKit 0x91614fe7 -[NSApplication run] + 867 6 com.apple.AppKit 0x915e21d8 NSApplicationMain + 574 7 ch.sudo.cyberduck 0x0000251b _start + 209 8 ch.sudo.cyberduck 0x00002449 start + 41

Thread 1 Crashed: 0 libclient.dylib 0x0067554d JVM_RaiseSignal + 400525 1 libclient.dylib 0x0058ddb4 pss + 74644 2 libclient.dylib 0x006de1fa JVM_RaiseSignal + 829754 3 libclient.dylib 0x006de8a0 JVM_RaiseSignal + 831456 4 libclient.dylib 0x0067ebe3 JVM_RaiseSignal + 439075 5 libclient.dylib 0x004b8d2e 0x3ba000 + 1043758 6 libclient.dylib 0x004b87ed 0x3ba000 + 1042413 7 libclient.dylib 0x004b878b 0x3ba000 + 1042315 8 libclient.dylib 0x004b8619 0x3ba000 + 1041945 9 libSystem.B.dylib 0x95c8d09b mach_msg_server + 343 10 libclient.dylib 0x003c8b75 0x3ba000 + 60277 11 libclient.dylib 0x003c8935 0x3ba000 + 59701 12 libclient.dylib 0x0067f4f5 JVM_RaiseSignal + 441397 13 libSystem.B.dylib 0x95c94200 _pthread_body + 27

Thread 2: 0 libSystem.B.dylib 0x95c18286 mach_msg_trap + 10 1 libSystem.B.dylib 0x95c1fa7c mach_msg + 72 2 libclient.dylib 0x004d2243 0x3ba000 + 1147459 3 libclient.dylib 0x004d20dc 0x3ba000 + 1147100 4 libclient.dylib 0x00416dbd 0x3ba000 + 380349 5 libclient.dylib 0x00416927 0x3ba000 + 379175 6 libclient.dylib 0x0067f4f5 JVM_RaiseSignal + 441397 7 libSystem.B.dylib 0x95c94200 _pthread_body + 27

Thread 3: 0 libSystem.B.dylib 0x95c18286 mach_msg_trap + 10 1 libSystem.B.dylib 0x95c1fa7c mach_msg + 72 2 libclient.dylib 0x004d22fa 0x3ba000 + 1147642 3 libclient.dylib 0x00417e5a 0x3ba000 + 384602 4 libclient.dylib 0x00417445 0x3ba000 + 382021 5 libclient.dylib 0x005f98a1 JVM_MonitorWait + 465 6 ??? 0x042059b1 0 + 69228977 7 ??? 0x041ff9d3 0 + 69204435 8 ??? 0x041ff9d3 0 + 69204435 9 ??? 0x041fd227 0 + 69194279 10 libclient.dylib 0x004d331a 0x3ba000 + 1151770 11 libclient.dylib 0x00417333 0x3ba000 + 381747 12 libclient.dylib 0x00417225 0x3ba000 + 381477 13 libclient.dylib 0x00417165 0x3ba000 + 381285 14 libclient.dylib 0x00417088 0x3ba000 + 381064 15 libclient.dylib 0x0067f4f5 JVM_RaiseSignal + 441397 16 libSystem.B.dylib 0x95c94200 _pthread_body + 27

Thread 4: 0 libSystem.B.dylib 0x95c18286 mach_msg_trap + 10 1 libSystem.B.dylib 0x95c1fa7c mach_msg + 72 2 libclient.dylib 0x004d22fa 0x3ba000 + 1147642 3 libclient.dylib 0x00417e5a 0x3ba000 + 384602 4 libclient.dylib 0x00417445 0x3ba000 + 382021 5 libclient.dylib 0x005f98a1 JVM_MonitorWait + 465 6 ??? 0x042059b1 0 + 69228977 7 ??? 0x041ff9d3 0 + 69204435 8 ??? 0x041ffaaa 0 + 69204650 9 ??? 0x041ffaaa 0 + 69204650 10 ??? 0x041fd227 0 + 69194279 11 libclient.dylib 0x004d331a 0x3ba000 + 1151770 12 libclient.dylib 0x00417333 0x3ba000 + 381747 13 libclient.dylib 0x00417225 0x3ba000 + 381477 14 libclient.dylib 0x00417165 0x3ba000 + 381285 15 libclient.dylib 0x00417088 0x3ba000 + 381064 16 libclient.dylib 0x0067f4f5 JVM_RaiseSignal + 441397 17 libSystem.B.dylib 0x95c94200 _pthread_body + 27

Thread 5: 0 libSystem.B.dylib 0x95c182c2 semaphore_wait_trap + 10 1 libclient.dylib 0x0041868e 0x3ba000 + 386702 2 libclient.dylib 0x00418235 0x3ba000 + 385589 3 libclient.dylib 0x00417088 0x3ba000 + 381064 4 libclient.dylib 0x0067f4f5 JVM_RaiseSignal + 441397 5 libSystem.B.dylib 0x95c94200 _pthread_body + 27

Thread 6: 0 libSystem.B.dylib 0x95c18286 mach_msg_trap + 10 1 libSystem.B.dylib 0x95c1fa7c mach_msg + 72 2 libclient.dylib 0x004d22fa 0x3ba000 + 1147642 3 libclient.dylib 0x004d1f99 0x3ba000 + 1146777 4 libclient.dylib 0x00418cbb 0x3ba000 + 388283 5 libclient.dylib 0x00418998 0x3ba000 + 387480 6 libclient.dylib 0x00417088 0x3ba000 + 381064 7 libclient.dylib 0x0067f4f5 JVM_RaiseSignal + 441397 8 libSystem.B.dylib 0x95c94200 _pthread_body + 27

Thread 7: 0 libSystem.B.dylib 0x95c18286 mach_msg_trap + 10 1 libSystem.B.dylib 0x95c1fa7c mach_msg + 72 2 libclient.dylib 0x004d22fa 0x3ba000 + 1147642 3 libclient.dylib 0x004d20dc 0x3ba000 + 1147100 4 libclient.dylib 0x00418dd0 0x3ba000 + 388560 5 libclient.dylib 0x00417088 0x3ba000 + 381064 6 libclient.dylib 0x0067f4f5 JVM_RaiseSignal + 441397 7 libSystem.B.dylib 0x95c94200 _pthread_body + 27

Thread 8: 0 libSystem.B.dylib 0x95c18286 mach_msg_trap + 10 1 libSystem.B.dylib 0x95c1fa7c mach_msg + 72 2 libclient.dylib 0x004d2243 0x3ba000 + 1147459 3 libclient.dylib 0x004195ef 0x3ba000 + 390639 4 libclient.dylib 0x0041913a 0x3ba000 + 389434 5 libclient.dylib 0x0067f4f5 JVM_RaiseSignal + 441397 6 libSystem.B.dylib 0x95c94200 _pthread_body + 27

Thread 9: 0 libSystem.B.dylib 0x95c676fa select$DARWIN_EXTSN + 10 1 libSystem.B.dylib 0x95c49155 _pthread_start + 321 2 libSystem.B.dylib 0x95c49012 thread_start + 34

Thread 10: 0 libSystem.B.dylib 0x95c1f46e semwait_signal + 10 1 libSystem.B.dylib 0x95c49dcd pthread_cond_wait$UNIX2003 + 73 2 com.apple.QuartzCore 0x90ac3a09 fe_fragment_thread + 54 3 libSystem.B.dylib 0x95c49155 _pthread_start + 321 4 libSystem.B.dylib 0x95c49012 thread_start + 34

Thread 11: 0 libSystem.B.dylib 0x95c676fa select$DARWIN_EXTSN + 10 1 ??? 0x042059b1 0 + 69228977 2 ??? 0x041ffa7f 0 + 69204607 3 ??? 0x041ffcd9 0 + 69205209 4 ??? 0x041fd227 0 + 69194279 5 libclient.dylib 0x004d331a 0x3ba000 + 1151770 6 libclient.dylib 0x00417333 0x3ba000 + 381747 7 libclient.dylib 0x00417225 0x3ba000 + 381477 8 libclient.dylib 0x00417165 0x3ba000 + 381285 9 libclient.dylib 0x00417088 0x3ba000 + 381064 10 libclient.dylib 0x0067f4f5 JVM_RaiseSignal + 441397 11 libSystem.B.dylib 0x95c94200 _pthread_body + 27

Thread 12: 0 libSystem.B.dylib 0x95c676fa select$DARWIN_EXTSN + 10 1 ??? 0x042059b1 0 + 69228977 2 ??? 0x041ffa7f 0 + 69204607 3 ??? 0x041ffcd9 0 + 69205209 4 ??? 0x041fd227 0 + 69194279 5 libclient.dylib 0x004d331a 0x3ba000 + 1151770 6 libclient.dylib 0x00417333 0x3ba000 + 381747 7 libclient.dylib 0x00417225 0x3ba000 + 381477 8 libclient.dylib 0x00417165 0x3ba000 + 381285 9 libclient.dylib 0x00417088 0x3ba000 + 381064 10 libclient.dylib 0x0067f4f5 JVM_RaiseSignal + 441397 11 libSystem.B.dylib 0x95c94200 _pthread_body + 27

Thread 13: 0 libSystem.B.dylib 0x95c676fa select$DARWIN_EXTSN + 10 1 ??? 0x042059b1 0 + 69228977 2 ??? 0x041ffa7f 0 + 69204607 3 ??? 0x041ffcd9 0 + 69205209 4 ??? 0x041fd227 0 + 69194279 5 libclient.dylib 0x004d331a 0x3ba000 + 1151770 6 libclient.dylib 0x00417333 0x3ba000 + 381747 7 libclient.dylib 0x00417225 0x3ba000 + 381477 8 libclient.dylib 0x00417165 0x3ba000 + 381285 9 libclient.dylib 0x00417088 0x3ba000 + 381064 10 libclient.dylib 0x0067f4f5 JVM_RaiseSignal + 441397 11 libSystem.B.dylib 0x95c94200 _pthread_body + 27

Thread 14: 0 libSystem.B.dylib 0x95c676fa select$DARWIN_EXTSN + 10 1 ??? 0x042059b1 0 + 69228977 2 ??? 0x041ffa7f 0 + 69204607 3 ??? 0x041ffcd9 0 + 69205209 4 ??? 0x041fd227 0 + 69194279 5 libclient.dylib 0x004d331a 0x3ba000 + 1151770 6 libclient.dylib 0x00417333 0x3ba000 + 381747 7 libclient.dylib 0x00417225 0x3ba000 + 381477 8 libclient.dylib 0x00417165 0x3ba000 + 381285 9 libclient.dylib 0x00417088 0x3ba000 + 381064 10 libclient.dylib 0x0067f4f5 JVM_RaiseSignal + 441397 11 libSystem.B.dylib 0x95c94200 _pthread_body + 27

Thread 15: 0 libSystem.B.dylib 0x95c182e6 semaphore_timedwait_signal_trap + 10 1 libSystem.B.dylib 0x95c4a2af _pthread_cond_wait + 1244 2 libSystem.B.dylib 0x95c4bb33 pthread_cond_timedwait_relative_np + 47 3 com.apple.Foundation 0x95983dbc -[NSCondition waitUntilDate:] + 236 4 com.apple.Foundation 0x95983bd0 -[NSConditionLock lockWhenCondition:beforeDate:] + 144 5 com.apple.Foundation 0x95983b35 -[NSConditionLock lockWhenCondition:] + 69 6 com.apple.AppKit 0x916826e8 -[NSUIHeartBeat _heartBeatThread:] + 753 7 com.apple.Foundation 0x9593ddfd -[NSThread main] + 45 8 com.apple.Foundation 0x9593d9a4 NSThreadmain + 308 9 libSystem.B.dylib 0x95c49155 _pthread_start + 321 10 libSystem.B.dylib 0x95c49012 thread_start + 34

Thread 16: 0 libSystem.B.dylib 0x95c3bf9a read$UNIX2003 + 10 1 ??? 0x042059b1 0 + 69228977 2 ??? 0x041ffa7f 0 + 69204607 3 ??? 0x0430ab04 0 + 70298372 4 ??? 0x042e061c 0 + 70125084 5 ??? 0x042e45ac 0 + 70141356 6 ??? 0x041ffa7f 0 + 69204607 7 ??? 0x041ffa7f 0 + 69204607 8 ??? 0x041ff9d3 0 + 69204435 9 ??? 0x041ffcd9 0 + 69205209 10 ??? 0x041fd227 0 + 69194279 11 libclient.dylib 0x004d331a 0x3ba000 + 1151770 12 libclient.dylib 0x00417333 0x3ba000 + 381747 13 libclient.dylib 0x00417225 0x3ba000 + 381477 14 libclient.dylib 0x00417165 0x3ba000 + 381285 15 libclient.dylib 0x00417088 0x3ba000 + 381064 16 libclient.dylib 0x0067f4f5 JVM_RaiseSignal + 441397 17 libSystem.B.dylib 0x95c94200 _pthread_body + 27

Thread 1 crashed with X86 Thread State (32-bit):

eax: 0x00734e60 ebx: 0x0058dcdb ecx: 0x68746957 edx: 0x6e656c42 edi: 0xb0080b48 esi: 0xb0080b48 ebp: 0xb0080aa8 esp: 0xb0080a80

ss: 0x0000001f efl: 0x00010282 eip: 0x0067554d cs: 0x00000017 ds: 0x0000001f es: 0x0000001f fs: 0x0000001f gs: 0x00000037

cr2: 0x68746981

Binary Images:

0x1000 - 0xffe4 +ch.sudo.cyberduck 3.2.1 (4923) (4923) <0a20dfcb53d28c7c9924667e22d6fbf2> /Applications/Cyberduck.app/Contents/MacOS/Cyberduck

0x19000 - 0x25fef +org.andymatuschak.Sparkle ??? (1.1) /Applications/Cyberduck.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle 0x4d000 - 0x53ffc com.apple.JavaVM 12.3.0 (12.3.0) <ee9b9f648e9b98b1c7644b6a7c630a91> /System/Library/Frameworks/JavaVM.framework/JavaVM 0x67000 - 0x6efe0 libverify.dylib ??? (???) <765619261588ebb032800454674f0fa8> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libverify.dylib 0x74000 - 0x7affe JavaNativeFoundation ??? (???) <5a9085681bf39c38384b9cc1394cda04> /System/Library/Frameworks/JavaVM.framework/Versions/A/Frameworks/JavaNativeFoundation.framework/Versions/A/JavaNativeFoundation 0x84000 - 0x9efef libjava.jnilib ??? (???) <f39763bc4ff17d41d4c4e1d0edd405e8> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libjava.jnilib 0xad000 - 0xb8ffb libzip.jnilib ??? (???) <1176b2751234a4989bf199783dc30517> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libzip.jnilib

0x3ba000 - 0x70affb libclient.dylib ??? (???) <a1bc00ea6c142a983ca4ca910b38771c> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libclient.dylib

0x1fb1000 - 0x1fb1ffe +libQuickLook.dylib ??? (???) <2fec37ab27ea9c048aba7908389631e0> /Applications/Cyberduck.app/Contents/Resources/Java/libQuickLook.dylib 0x6205000 - 0x6208ffc +libKeychain.dylib ??? (???) <5a69f1e1c7ea186c2c9ce00bfb351dbd> /Applications/Cyberduck.app/Contents/Resources/Java/libKeychain.dylib 0x646f000 - 0x6470ffd +libProxy.dylib ??? (???) <6e19b890d5bbccb10bb2f1976b2463f2> /Applications/Cyberduck.app/Contents/Resources/Java/libProxy.dylib 0x6bc9000 - 0x6c30fff libFoundationJava.B.dylib ??? (???) <60f3ea7b24d0c75a3c42a1a0a3c7be4f> /usr/lib/java/libFoundationJava.B.dylib

0x10c80000 - 0x10c86fff +libLocal.dylib ??? (???) <69942958c2149418f42e21e2b551b284> /Applications/Cyberduck.app/Contents/Resources/Java/libLocal.dylib 0x12abe000 - 0x12abfffc +libGrowl.dylib ??? (???) <b9fa8414de0ef6ca0ac0f12621935a74> /Applications/Cyberduck.app/Contents/Resources/Java/libGrowl.dylib 0x12ac6000 - 0x12ac6fff +libURLSchemeHandlerConfiguration.dylib ??? (???) <4c1458dc1fbcaf8d61b03d0150d36499> /Applications/Cyberduck.app/Contents/Resources/Java/libURLSchemeHandlerConfiguration.dylib 0x12aef000 - 0x12cf6fef com.apple.RawCamera.bundle 2.1.0 (474) <48a574d3b3269c8dbdc38d6f67879317> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera 0x146cf000 - 0x146d4ff3 libCGXCoreImage.A.dylib ??? (???) <3a78abc535c80f9819931b670da804a2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib 0x1476c000 - 0x1476effe libjdns_sd.jnilib ??? (???) <1dfee6de98d31340025061795e4b1f39> /usr/lib/java/libjdns_sd.jnilib 0x14a32000 - 0x14a3dffb libnet.jnilib ??? (???) <f5c95ff03e735840baf727e78ce521b5> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libnet.jnilib 0x50c00000 - 0x50d64fff libAppKitJava.B.dylib ??? (???) <cd6dd470cf0ecf95ec5376e5439fe437> /usr/lib/java/libAppKitJava.B.dylib 0x53d00000 - 0x53d1afff libObjCJava.A.dylib ??? (???) <c3e34709f856e4f0a11ef03c097cf248> /usr/lib/java/libObjCJava.A.dylib 0x8fe00000 - 0x8fe2db43 dyld 97.1 (???) <458eed38a009e5658a79579e7bc26603> /usr/lib/dyld 0x90003000 - 0x9030bfe7 com.apple.HIToolbox 1.5.6 (???) <eece3cb8aa0a4e6843fcc1500aca61c5> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox 0x9053c000 - 0x90548ffe libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib 0x9057e000 - 0x90605ff7 libsqlite3.0.dylib ??? (???) <3334ea5af7a911637413334154bb4100> /usr/lib/libsqlite3.0.dylib 0x90606000 - 0x906e1fe7 com.apple.WebKit 5531 (5531.9) <36112647223b999a033bc2f740277948> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit 0x906e2000 - 0x906e2ff8 com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa 0x906e3000 - 0x906e3fff com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon 0x906e4000 - 0x9073dff7 libGLU.dylib ??? (???) <a3b9be30100a25a6cd3ad109892f52b7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib 0x9073e000 - 0x907d1ff3 com.apple.ApplicationServices.ATS 3.7 (???) <a535fc4982d3acff6530ec25c402e679> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS 0x908c7000 - 0x909a8ff7 libxml2.2.dylib ??? (???) <9a5d410de57c87f71e2d530a1859b897> /usr/lib/libxml2.2.dylib 0x909a9000 - 0x909adfff libGIF.dylib ??? (???) <abf65b853acce7bc8419c74716be5be0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib 0x909ae000 - 0x909befff com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <5171726062da2bd3c6b8b58486c7777a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis 0x909cf000 - 0x90d6cfef com.apple.QuartzCore 1.5.8 (1.5.8) <a28fa54346a9f9d5b3bef076a1ee0fcf> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore 0x90d6d000 - 0x9140dfe3 com.apple.CoreGraphics 1.409.3 (???) <25dceb14af3455b768f56e8765ecf3ca> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics 0x9140e000 - 0x91547ff7 libicucore.A.dylib ??? (???) <dd8aa51c356e79ef8cdfa341a0d69f5b> /usr/lib/libicucore.A.dylib 0x91548000 - 0x915dbfff com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink 0x915dc000 - 0x91ddafef com.apple.AppKit 6.5.9 (949.54) <4df5d2e2271175452103f789b4f4d8a8> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit 0x91fe3000 - 0x9200bff7 com.apple.shortcut 1.0.1 (1.0) <131202e7766e327d02d55c0f5fc44ad7> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut 0x9200c000 - 0x9200cffb com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer 0x9200d000 - 0x9200dffd com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate 0x920f1000 - 0x92170ff5 com.apple.SearchKit 1.2.2 (1.2.2) <3b5f3ab6a363a4d8a2bbbf74213ab0e5> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit 0x92171000 - 0x9223cfff com.apple.ColorSync 4.5.2 (4.5.2) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync 0x9223d000 - 0x922bafeb com.apple.audio.CoreAudio 3.1.2 (3.1.2) <782a08c44be4698597f4bbd79cac21c6> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio 0x922fc000 - 0x9248cfff com.apple.JavaScriptCore 5531 (5531.5) <3679fe16241dae6f730a39c16c04e30f> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore 0x92497000 - 0x9249cfff com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels 0x93480000 - 0x935b3fe7 com.apple.CoreFoundation 6.5.7 (476.19) <a332c8f45529ee26d2e9c36d0c723bad> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation 0x935b4000 - 0x9363efe3 com.apple.DesktopServices 1.4.8 (1.4.8) <a6edef2d49ffdee3b01010b7e6edac1f> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv 0x9363f000 - 0x9365effa libJPEG.dylib ??? (???) <dad0ee08a8b850d679f024e090984480> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib 0x93804000 - 0x93855ff7 com.apple.HIServices 1.7.1 (???) <ba7fd0ede540a0da08db027f87efbd60> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices 0x93856000 - 0x93890ffe com.apple.securityfoundation 3.0.2 (36131) <39663c9b6f1a09d0566305d9f87cfc91> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation 0x93944000 - 0x93968fff libxslt.1.dylib ??? (???) <0a9778d6368ae668826f446878deb99b> /usr/lib/libxslt.1.dylib 0x93969000 - 0x939c5ff7 com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering 0x939c6000 - 0x939e3ff7 com.apple.QuickLookFramework 1.3.1 (170.9) /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook 0x939e4000 - 0x93a1efe7 com.apple.coreui 1.2 (62) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI 0x93a49000 - 0x93a80fff com.apple.SystemConfiguration 1.9.2 (1.9.2) <01426a38ba44efa5d448daef8b3e9941> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration 0x93a81000 - 0x93acafef com.apple.Metadata 10.5.8 (398.26) <e4d268ea45379200f03cdc7c8bedae6f> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata 0x93bda000 - 0x93befffb com.apple.ImageCapture 5.0.2 (5.0.2) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture 0x93bf0000 - 0x93c0efff libresolv.9.dylib ??? (???) <b5b1527c2d99495ad5d507ab0a4ea872> /usr/lib/libresolv.9.dylib 0x93c0f000 - 0x93c1fffc com.apple.LangAnalysis 1.6.5 (1.6.5) <d057feb38163121ffd871c564c692804> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis 0x93c20000 - 0x93c27ffe libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib 0x93c28000 - 0x93d10ff3 com.apple.CoreData 100.2 (186.2) <44df326fea0236718f5ed64084e82270> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData 0x93d11000 - 0x93d9eff7 com.apple.framework.IOKit 1.5.2 (???) <7a3cc24f78f93931731203854ae0d891> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit 0x93d9f000 - 0x93da9feb com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound 0x93daa000 - 0x93e5cffb libcrypto.0.9.7.dylib ??? (???) <9d714c92872a93dd127ea8556b2c8945> /usr/lib/libcrypto.0.9.7.dylib 0x93e5d000 - 0x93e5effc libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib 0x93e5f000 - 0x93eebff7 com.apple.LaunchServices 291 (291) <099eba2fe584376b476f9a262f41ecf2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices 0x93eec000 - 0x93f93feb com.apple.QD 3.11.56 (???) <a94d0f5438b730e88e5efdb233295c52> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD 0x9422d000 - 0x946fefbe libGLProgrammability.dylib ??? (???) <7f18294a7bd0b6afe4319f29187fc70d> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib 0x946ff000 - 0x947affff edu.mit.Kerberos 6.0.13 (6.0.13) <804bd1b3f08fb57396781f012006367c> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos 0x947b0000 - 0x9482dfef libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib 0x94861000 - 0x9486dff9 com.apple.helpdata 1.0.1 (14.2) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData 0x9486e000 - 0x94875ff7 libCGATS.A.dylib ??? (???) <211348279493364e9920adc86484cedd> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib 0x94876000 - 0x948d0ff7 com.apple.CoreText 2.0.4 (???) <f0b6c1d4f40bd21505097f0255abfead> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText 0x948d1000 - 0x9494bff8 com.apple.print.framework.PrintCore 5.5.4 (245.6) <03d0585059c20cb0bde5e000438c49e1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore 0x9494c000 - 0x9494cffd com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib 0x9494d000 - 0x94958fe7 libCSync.A.dylib ??? (???) <9e3544fe087bb4dc760b7afe0850dd6c> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib 0x94b2c000 - 0x94b5bfe3 com.apple.AE 402.3 (402.3) <b13bfda0ad9314922ee37c0d018d7de9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE 0x94bdc000 - 0x94beaffd libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib 0x94beb000 - 0x94c07ff3 libPng.dylib ??? (???) <9f50967afbd4384e61e68439f81db76c> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib 0x94f34000 - 0x94ffbff2 com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage 0x94ffc000 - 0x9503afff libGLImage.dylib ??? (???) <a6425aeb77f4da13212ac75df57b056d> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib 0x950f8000 - 0x950fbfff com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help 0x950fc000 - 0x95127fe7 libauto.dylib ??? (???) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib 0x95185000 - 0x95189fff libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib 0x9518a000 - 0x951b7feb libvDSP.dylib ??? (???) <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib 0x951b8000 - 0x9525ffec com.apple.CFNetwork 438.14 (438.14) <5f9ee0430b5f6319f18d9b23e777e0d2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork 0x953f0000 - 0x954d0fff libobjc.A.dylib ??? (???) <7b92613fdf804fd9a0a3733a0674c30b> /usr/lib/libobjc.A.dylib 0x954d1000 - 0x954d1ffd com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib 0x954d2000 - 0x95513fe7 libRIP.A.dylib ??? (???) <69bd09fcd8d8b235cee7a405290d6818> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib 0x95514000 - 0x95666ff3 com.apple.audio.toolbox.AudioToolbox 1.5.2 (1.5.2) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox 0x95667000 - 0x95838ffb com.apple.security 5.0.5 (36371) <1f7f48b36bc90d114220cc81e4e4694f> /System/Library/Frameworks/Security.framework/Versions/A/Security 0x95839000 - 0x95841fff com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration 0x95842000 - 0x9584ffe7 com.apple.opengl 1.5.10 (1.5.10) <5a2813f80c9441170cc1ab8a3dac5038> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL 0x9591a000 - 0x9591affa com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices 0x9591b000 - 0x95931fff com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices 0x95932000 - 0x95932ffc com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit 0x95933000 - 0x95baffe7 com.apple.Foundation 6.5.9 (677.26) <c68b3cff7864959becfc7fd1a384f925> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation 0x95c17000 - 0x95d7eff3 libSystem.B.dylib ??? (???) <ae47ca9b1686b065f8ac4d2de09cc432> /usr/lib/libSystem.B.dylib 0x95d7f000 - 0x95d81fff com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI 0x95d8e000 - 0x9614cfea libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib 0x96152000 - 0x9615bfff com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition 0x9615c000 - 0x961a6fe1 com.apple.securityinterface 3.0.3 (36953) <0d481914378ffb037dd26144af5a1aa2> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface 0x961a7000 - 0x96a33fff com.apple.WebCore 5531 (5531.9) <fdb731afe66ea9ae2f4580dead0b5b53> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore 0x96a37000 - 0x96a37ff8 com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices 0x96a38000 - 0x96a7afef com.apple.NavigationServices 3.5.2 (163) <d3a7c9720479eed8ea35703125303871> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices 0x96a7b000 - 0x96acafff com.apple.QuickLookUIFramework 1.3.1 (170.9) /System/Library/PrivateFrameworks/QuickLookUI.framework/Versions/A/QuickLookUI 0x96acb000 - 0x96b0afef libTIFF.dylib ??? (???) <5bf6b42bc5e007fcea32f6620b14cba3> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib 0x96b11000 - 0x96debff3 com.apple.CoreServices.CarbonCore 786.11 (786.13) <9e2d85d52e5e2951aa4dd53c48ccc52f> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore 0x96dec000 - 0x96e49ffb libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib 0x96e4a000 - 0x96e50fff com.apple.print.framework.Print 218.0.3 (220.2) <5b7f4ef7c2df36aff9605377775781e4> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print 0x96e51000 - 0x97261fef libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib 0x9729f000 - 0x972b7fff com.apple.openscripting 1.2.8 (???) <572c7452d7e740e8948a5ad07a99602b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting 0x972b8000 - 0x972e1fff libcups.2.dylib ??? (???) <1b0435164b9dc6c773d0b1f24701e554> /usr/lib/libcups.2.dylib 0x972e2000 - 0x9739cfe3 com.apple.CoreServices.OSServices 228 (228) <bc83e97f6888673c33f86652677c09cb> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices 0x9739d000 - 0x9739fff5 libRadiance.dylib ??? (???) <7f14661d29de8cbf01334909542c0fc5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib 0x97420000 - 0x97427fe9 libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib 0x97428000 - 0x97570ff7 com.apple.ImageIO.framework 2.0.6 (2.0.6) <4febd1ccf49ae410e82d12c02ba33b68> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO 0x97581000 - 0x97599ff7 com.apple.CoreVideo 1.6.0 (20.0) <dd60118bac9aefaf88d9ab44558f05c4> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo 0xc0000000 - 0xc0008fff +com.growl.growlframework 1.1.4 (1.1.4) <e42fe97093035d2485b764ccf9a15d70> /Applications/Cyberduck.app/Contents/Frameworks/Growl.framework/Versions/A/Growl 0xfffe8000 - 0xfffebfff libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib 0xffff0000 - 0xffff1780 libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib


and voilà the syslog:

Aug 31 15:38:15 ande6 Cyberduck[24668]: * Canceling drag because exception 'java/lang/OutOfMemoryError' (reason 'Java heap space') was raised during a dragging session Aug 31 15:38:15 ande6 [0x0-0x72a72a].ch.sudo.cyberduck[24668]: Invalid memory access of location c522c17b eip=00498962 Aug 31 15:38:21 ande6 ReportCrash[24670]: Formulating crash report for process Cyberduck[24668] Aug 31 15:38:22 ande6 ReportCrash[24670]: Saved crashreport to /Users/ande/Library/Logs/CrashReporter/Cyberduck_2009-08-31-153815_ande6.crash using uid: 501 gid: 501, euid: 501 egid: 501 Aug 31 15:38:21 ande6 com.apple.launchd[78] ([0x0-0x72a72a].ch.sudo.cyberduck[24668]): Exited abnormally: Segmentation fault

Thanks beforhand!

comment:4 Changed on Aug 31, 2009 at 5:00:19 PM by yla

There is an 'OutOfMemory' happening. It looks like you are dragging a big subtree. Please try the latest beta version. The pasteboard handling was refactored.

comment:5 Changed on Nov 9, 2009 at 12:07:42 PM by dkocher

  • Milestone set to 3.3
  • Resolution set to worksforme
  • Status changed from new to closed

I cannot replicate this in the latest snapshot build available at http://update.cyberduck.ch/nightly. Please reopen if this is still an issue for you.

comment:6 Changed on Nov 14, 2009 at 1:50:52 PM by dkocher

The issue has changed: With the Nightly Build #5546 it works, but it takes a LOT of time (minutes) until everything is done. This situation would not be acceptable for work. It seems as if some communication behind the scenes runs into timeouts.. even after the upload, the blue/white progress bar sort of hangs.

Description: I drag and drop two files from the desktop into the Cyberduck window. The pointer arrow is changed into the green ball with the + sign, even after I drop the files, it remains a green ball.

After about 30 seconds, the "ghost images" of the icons / files to be dropped return to the place where they've been. Shortly after, the

copying starts. But even after all copying is done, teh progress/bar remains in its white / blue state for about 10 seconds or so, sometimes more.

My Mac OS is 10.5.8 (Intel).

Note: See TracTickets for help on using tickets.
swiss made software